JNA API 3.5.2-SNAPSHOT

## com.sun.jna
Class Library.Handler

    java.lang.Object
      com.sun.jna.Library.Handler

All Implemented Interfaces:
  java.lang.reflect.InvocationHandler

Enclosing interface:
  Library

    public static class Library.Handler

extends java.lang.Object
implements java.lang.reflect.InvocationHandler

Field Summary
`(package private) static java.lang.reflect.Method` `OBJECT_EQUALS`
`(package private) static java.lang.reflect.Method` `OBJECT_HASHCODE`
`(package private) static java.lang.reflect.Method` `OBJECT_TOSTRING`

Constructor Summary
`Library.Handler(java.lang.String libname, java.lang.Class interfaceClass, java.util.Map options)`

Method Summary
`java.lang.Class` `getInterfaceClass()`
`java.lang.String` `getLibraryName()`
`NativeLibrary` `getNativeLibrary()`
`java.lang.Object` `invoke(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] inArgs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_TOSTRING

    static final java.lang.reflect.Method OBJECT_TOSTRING

### OBJECT_HASHCODE

    static final java.lang.reflect.Method OBJECT_HASHCODE

### OBJECT_EQUALS

    static final java.lang.reflect.Method OBJECT_EQUALS

Constructor Detail

### Library.Handler

    public Library.Handler(java.lang.String libname,
                           java.lang.Class interfaceClass,
                           java.util.Map options)

Method Detail

### getNativeLibrary

    public NativeLibrary getNativeLibrary()

### getLibraryName

    public java.lang.String getLibraryName()

### getInterfaceClass

    public java.lang.Class getInterfaceClass()

### invoke

    public java.lang.Object invoke(java.lang.Object proxy,
                                   java.lang.reflect.Method method,
                                   java.lang.Object[] inArgs)
                            throws java.lang.Throwable

  Specified by:
    `invoke` in interface `java.lang.reflect.InvocationHandler`
  Throws:
    `java.lang.Throwable`

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.